package com.sunxung.factoring.entity.loanmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.financing.payment.PaymentApply;
import com.sunxung.factoring.entity.financing.payment.PaymentInfo;
import com.sunxung.factoring.entity.project.Project;

/**
 * <p>
 * 豁免事项跟进和付款关系表
 * </p>
 *
 * @author liutao
 * @since 2023-04-25
 */
@TableName("exemption_matters")
public class ExemptionMatters extends Project {

    private static final long serialVersionUID = 1L;

    /**
     * 付款申请基础ID
     */
    @TableField("payment_apply_id")
    private Long paymentApplyId;

    /**
     * 状态
     */
    @TableField("exemption_status")
    private String exemptionStatus;

    @TableField(exist = false)
    private PaymentApply paymentApply;

    @TableField(exist = false)
    private Long managerId;

    @TableField(exist = false)
    private PaymentInfo paymentInfo;

    /**
     * 业务编号
     */
    @TableField(exist = false)
    private String businessNumber;

    /**
     * 币种
     */
    @TableField(exist = false)
    private String currencyCode;

    public PaymentApply getPaymentApply() {
        return paymentApply;
    }

    public void setPaymentApply(PaymentApply paymentApply) {
        this.paymentApply = paymentApply;
    }


    public String getExemptionStatus() {
        return exemptionStatus;
    }

    public void setExemptionStatus(String exemptionStatus) {
        this.exemptionStatus = exemptionStatus;
    }

    public Long getPaymentApplyId() {
        return paymentApplyId;
    }

    public void setPaymentApplyId(Long paymentApplyId) {
        this.paymentApplyId = paymentApplyId;
    }

    public Long getManagerId() {
        return managerId;
    }

    public void setManagerId(Long managerId) {
        this.managerId = managerId;
    }

    public PaymentInfo getPaymentInfo() {
        return paymentInfo;
    }

    public void setPaymentInfo(PaymentInfo paymentInfo) {
        this.paymentInfo = paymentInfo;
    }

    @Override
    public String getBusinessNumber() {
        return businessNumber;
    }

    @Override
    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    @Override
    public String toString() {
        return "ExemptionMatters{" +
            "paymentApplyId=" + paymentApplyId +
        "}";
    }
}
